<?php 
require_once "../modelos/Notacredito.php";
if (strlen(session_id())<1) 
	session_start();

$notacredito 		= new Notacredito();

$idnotacredito					=isset($_POST["idnotacredito"])? limpiarCadena($_POST["idnotacredito"]):"";
$idventa								=isset($_POST["idventa"])? limpiarCadena($_POST["idventa"]):"";
$idcliente							=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$idvendedor							=isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";
$idservicio							=isset($_POST["idservicio"])? limpiarCadena($_POST["idservicio"]):"";
$idusuario							=$_SESSION["idusuario"];
$tipo_comprobante				=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante			=isset($_POST["serie_comprobante"])? limpiarCadena($_POST["serie_comprobante"]):"";
$numcontrol_notacredito	=isset($_POST["numcontrol_notacredito"])? limpiarCadena($_POST["numcontrol_notacredito"]):"";
$num_notacredito				=isset($_POST["num_notacredito"])? limpiarCadena($_POST["num_notacredito"]):"";
$fecha_hora							=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$impuesto								=isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$total_venta						=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$total_ventad						=isset($_POST["total_ventad"])? limpiarCadena($_POST["total_ventad"]):"";
$iddetallec							=isset($_POST["iddetallec"])? limpiarCadena($_POST["iddetallec"]):"";
$idnotacreditoc					=isset($_POST["idnotacreditoc"])? limpiarCadena($_POST["idnotacreditoc"]):"";
$idarticuloc						=isset($_POST["idarticuloc"])? limpiarCadena($_POST["idarticuloc"]):"";
$tasa_dollar						=isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$idclientedespacho			=isset($_POST["idclientedespacho"])? limpiarCadena($_POST["idclientedespacho"]):"";
$observacion						=isset($_POST["observacion"])? limpiarCadena($_POST["observacion"]):"";


switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idnotacredito)) {
			$rspta=$notacredito->insertar($idcliente,$idusuario,$idvendedor,$idservicio,$idventa,$tipo_comprobante,$num_notacredito,$numcontrol_notacredito,$fecha_hora,$total_venta,$total_ventad,$tasa_dollar,$idclientedespacho,$observacion,
			$_POST["idarticulo"],$_POST["idalmacen"],$_POST["cantidad"],$_POST["precio_venta"],$_POST["precio_ventad"],$_POST["nrolote"],$_POST["porcentaje"],$_POST["subtotald"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;
	
	case 'guardaryeditarne':
		if (empty($idnotacredito)) {
			$rspta=$notacredito->insertarne($idcliente,$idusuario,$idvendedor,$idservicio,$idventa,$tipo_comprobante,$num_notacredito,$numcontrol_notacredito,$fecha_hora,$total_venta,$total_ventad,$tasa_dollar,$idclientedespacho,$observacion,
			$_POST["idarticulo"],$_POST["idalmacen"],$_POST["cantidad"],$_POST["precio_venta"],$_POST["precio_ventad"],$_POST["nrolote"],$_POST["porcentaje"],$_POST["subtotald"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;
	

	case 'anular':
		$rspta=$notacredito->anular($idnotacredito);
		echo $rspta ? "Nota de Crédito anulada correctamente" : "No se pudo anular la factura";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$notacredito->eliminararticulodecafeteriabd($iddetallec,$idnotacreditoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$notacredito->mostrar($idnotacredito);
		echo json_encode($rspta);
	break;

	case 'listarDetalle':
		//recibimos el idnotacredito
		$id=$_GET['id'];

		$rspta=$notacredito->listarDetalle($id);
		$total=0;
		/* echo ' <thead style="background-color:#A9D0F5">
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta</th>
		<th>Descuento</th>
		<th>ImpArt18</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td>'.$reg->nombre.'</td>
			<td>'.number_format($reg->cantidad,0,',','.').'</td>
			<td>'.number_format($reg->precio_ventad,2,',','.').'</td>
			<td>'.number_format($reg->descuento,2,',','.').'</td>
			<td>'.number_format($reg->impuestoart18,2,',','.').'</td>
			<td>'.number_format($reg->subtotald,2,',','.').'</td></tr>';
			$total=$total+($reg->precio_ventad*$reg->cantidad-$reg->descuento);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
		 <th></th>
		 <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_notacredito" id="total_notacredito"></th>
	   </tfoot>'; */
	   echo ' <thead style="background-color:#A9D0F5">
	   <th>Opciones</th>
	   <th>Articulo</th>
	   <th>Cantidad</th>
	   <th>Monto</th>
	   <th>% Descuento</th>
	   <th>Subtotal</th>
	   </thead>';
	  	while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td></td>
			<td>'.$reg->descripcion.'</td>
			<td>'.number_format($reg->cantidad,0,',','.').'</td>
			<td>'.number_format($reg->preciod,2,',','.').'</td>
			<td>'.number_format($reg->porcentaje,2,',','.').'</td>
			<td>'.number_format($reg->total_creditod,2,',','.').'</td></tr>';
			$total=$total+($reg->total_creditod);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
		 <th></th>
		 <th></th>
		 <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' $</h4><input type="hidden" name="total_notacredito" id="total_notacredito"></th>
       </tfoot>';
	break;

  case 'listar':
		$rspta=$notacredito->listar();
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
                /*  if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='notacredito') {
					$url='reportes/notacreditoNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='#?id=';
				 } */
			$estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-green">Aplicada</span>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-navy">Anulado</span>';
			}else{
				$estado='<span class="badge bg-green">Aplicada</span>';
			}	

			$url    ='reportes/NotacreditoNew.php?id=';
			$url2   ='reportes/NotacreditoNewT.php?id=';
			if($reg->nombre=='NOTA DE CREDITO POR DEVOLUCION'){
			    $total_creditod=$reg->total_creditod;
			    $total_creditodt=$reg->total_creditod+$reg->ivad;
			}else{
			    if($reg->periodo=='no'){
			        $total_creditod=$reg->total_creditod-$reg->ivad;
			        $total_creditodt=$reg->total_creditod; 
			    }else{
			       $total_creditod=$reg->total_creditod;
			       $total_creditodt=$reg->total_creditod+$reg->ivad; 
			    }
			   
			}
			$data[]=array(
    			"0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idnotacredito.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idnotacredito.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idnotacredito.')">
    			<i class="fa fa-eye"></i></button>').
    			//'<a target="_blank" href="'.$url.$reg->idnotacredito.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>'.' '.
				'<a target="_blank" href="'.$url2.$reg->idnotacredito.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
                "1"=>'<div align="center">'.$reg->fecha.'</div>',
                "2"=>'<div align="left">'.$reg->cliente.'</div>',
                "3"=>'<div align="left">'.$reg->usuario.'</div>',
                "4"=>'<div align="left">'.$reg->nombre.'</div>',
                "5"=>'<div align="center">'.$reg->num_notacredito.'</div>',
                "6"=>'<div align="center">'.$reg->num_comprobante1.'</div>',
                "7"=>'<div align="center">'.$reg->num_comprobante.'</div>',
                "8"=>'<div align="right">'.number_format($total_creditod,2,',','.').'</div>',
    			"9"=>'<div align="right">'.number_format($reg->ivad,2,',','.').'</div>',
    			"10"=>'<div align="right">'.number_format($total_creditodt,2,',','.').'</div>',
    			"11"=>'<div align="center">'.$estado.'</div>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listarne':
		$rspta=$notacredito->listarne();
		$data=Array();
		
		while ($reg=$rspta->fetch_object()) {
                /*  if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }elseif ($reg->tipo_comprobante=='notacredito') {
					$url='reportes/notacreditoNew.php?id=';
				 }{
				   // $url='reportes/exFactura.php?id=';
				   $url='#?id=';
				 } */
			$estado='';	 
			if 	($reg->estado=='Pendiente') {
				$estado='<span class="badge bg-green">Aplicada</span>';
			}elseif ($reg->estado=='Parcial'){
				$estado='<span class="badge bg-yellow">Parcial</span>';
			}elseif ($reg->estado=='Anulado'){
				$estado='<span class="badge bg-navy">Anulado</span>';
			}else{
				$estado='<span class="badge bg-green">Aplicada</span>';
			}	
            $total_creditod=$reg->total_creditod;
			//$url='reportes/NotacreditoNew.php?id=';
			//$url='reportes/NotacreditoNewBev.php?id=';
			$url='reportes/ComprobanteEgreso.php?id=';
			$data[]=array(
			    "0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idnotacredito.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idnotacredito.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idnotacredito.')">
			        <i class="fa fa-eye"></i></button>').'<a target="_blank" href="'.$url.$reg->idnotacredito.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
                "1"=>'<div align="center">'.$reg->fecha.'</div>',
                "2"=>'<div align="left">'.$reg->cliente.'</div>',
                "3"=>'<div align="left">'.$reg->usuario.'</div>',
                "4"=>'<div align="left">'.$reg->nombre.'</div>',
                "5"=>'<div align="center">'.$reg->num_notacredito.'</div>',
                "6"=>'<div align="center">'.$reg->num_comprobante1.'</div>',
               
                "7"=>'<div align="right">'.number_format($total_creditod,2,',','.').'</div>',
    			
    			"8"=>'<div align="center">'.$estado.'</div>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarnotacredito':
		$rspta=$notacredito->listarnotacredito();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
					"0"=>'<button class="btn btn-warning" 
					onclick="agregarDetallenotacredito('.$reg->idnotacredito.')">
					<span class="fa fa-plus"></span></button>',
					"1"=>$reg->vendedor,
					"2"=>$reg->cliente,
					"3"=>$reg->zona,
					"4"=>$reg->num_notacredito,
					"5"=>number_format($reg->total_notacreditod,2,',','.'),
					"6"=>$reg->estado
					);
		}
		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarc();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Cliente';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'-'.$reg->nombred.'</option>';
		}
	break;

	case 'selectTransportista':
		require_once "../modelos/Transportista.php";
		$transportista = new Transportista();

		$rspta = $transportista->listar();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idtransportista.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectVendedor':
		require_once "../modelos/Vendedor.php";
		$vendedor 	= new Vendedor();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Vendedor';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta 		= $vendedor->listar();
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idvendedor.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectNotacredito':
		require_once "../modelos/Servicios.php";
		$servicios 	= new Servicios();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione la Nota Crédito';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta 		= $servicios->listarnc();
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idservicio.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'selectNotacreditone':
		require_once "../modelos/Servicios.php";
		$servicios 	= new Servicios();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione la Nota Crédito';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		$rspta 		= $servicios->listarnc();
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idservicio.'>'.$reg->descripcion.'</option>';
		}
	break;
	

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentaa();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\','.$reg->impuestoart18.','.$reg->preciopvp.','.$reg->preciopvpd.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentab();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarArticulosc':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVentac();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			// $precio	= $reg->precio_venta*$iva;
			// if ($reg->exento=='si'){
			// 	$precio = $reg->precio_venta;
			// }
			$precio = $reg->precio_venta;
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\',\''.$reg->impuestoart18.'\',\''.$reg->preciopvp.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>$reg->numerolote,
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarServicios':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosVenta();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//s.idservicio, s.idtiposervicio,t.nombre as nombreservio, s.nombre,s.precio,s.porcentaje, s.descripcion,s.condicion,s.exento 
		$almacen	='N/A';
		$nrolote	='N/A';
		$fechalote	='N/A';
		$data=Array();
		// (idarticulo,idalmacen,articulo,precio_venta,porcentaje,nrolote,fechalote,exento)
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$almacen.'\',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$nrolote.'\',\''.$fechalote.'\',\''.$reg->exento.'\')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->nombreservio,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>number_format($reg->porcentaje,2,',','.')
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;

	case 'agregarDetallenotacredito':
		//recibimos el idtarjeta
		$id				=	$_GET['id'];
		$cont			=	$_GET['cont']*1;
		$rspta			=	$notacredito->agregarDetallenotacredito($id);
		$imp18_empresa	=	$_SESSION['impuestoart18_empresa'];


		
		

		//$cont	=200;
		while ($reg=$rspta->fetch_object()) {

			/* var fila='<tr class="filas" id="fila'+cont+'">'+
        '<td><button type="button" class="btn btn-danger" onclick="eliminarDetalle('+cont+')">X</button></td>'+
		'<td><input type="hidden" name="idarticulo[]" value="'+idarticulo+'">'+articulo+'</td>'+
		'<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'+number_format(cantidad)+'"></td>'+
		'<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'+number_format(preciod,2)+'"></td>'+
		td1+
		'<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'+number_format(porcentaje,2)+'"></td>'+
		'<td><input type="text" name="descuentod[]" id="descuentod[]" style="text-align:right;width:120px" value="'+number_format(descuentod,2)+'" ></td>'+
		td+
		'<td><input type="text" style="text-align:right;width:120px" name="subtotald[]" id="subtotald[]"  value="'+number_format(subtotald,2)+'"></td>'+
        //'<td><span id="subtotal'+cont+'" name="subtotal">'+subtotal+'</span></td>'+
		'<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>'+
		'<input type="hidden" name="nrolote[]" value="'+nrolote+'">'+
		'<input type="hidden" name="idnotacreditosolo[]" id="idnotacreditosolo[]" value="'+(idnotacredito*1)+'">'+
		'<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'+idalmacen+'">'+
		'<input type="hidden" name="iva[]" value="'+iva+'">'+
		'<input type="hidden" name="ivad[]" value="'+ivad+'">'+
		'<input type="hidden" name="exentot[]" value="'+exentot+'">'+
		'<input type="hidden" name="exentotd[]" value="'+exentotd+'">'+
		'<input type="hidden" name="precio_venta[]" id="precio_venta[]" value="'+number_format(precio,2)+'">'+
		'<input type="hidden" name="subtotal[]" id="subtotal[]"  value="'+number_format(subtotal,2)+'">'+
		'<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'+number_format(preciopvp,2)+'">'+
		'<input type="hidden" name="descuento[]" id="descuento[]" value="'+number_format(descuento,2)+'" >'+
		'</td>'+ */
			//$data	=array($cont,(($reg->iddetalle_notacredito)*1),(($reg->idnotacredito)*1),(($reg->idarticulo)*1));
			if ($imp18_empresa=='si'){
				$td			=	'<td><input type="text" name="impoart18d[]" id="impoart18d[]" style="text-align:right;width:120px" value="'.number_format($reg->impoart18d,2).'" >
								<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'" ></td>';
				$td1		=	'<td><input type="text" name="precio_ventapvpd[]" id="precio_ventapvpd[]" style="text-align:right;width:120px" value="'.number_format($reg->preciopvpd,2).'"></td>';
			}else{
				$td			=	'<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'">
								<input type="hidden" name="impoart18d[]" id="impoart18d[]" value="'.number_format($reg->impoart18d,2).'">';
				$td1		=	'<input type="hidden" name="precio_ventapvpd[]" id="precio_ventapvpd[]" value="'.number_format($reg->preciopvpd,2).'">';
			}
            echo '<tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->articulo.'</td>
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad,0,',','.').'" ></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px" value="'.number_format($reg->preciod,2,',','.').'" ></td>
			'.$td1.'
			<td><input type="text" name="porcentaje[]" id="porcentaje[]" style="text-align:right;width:70px" value="'.number_format($reg->porcentaje,0,',','.').'" ></td>
			<td><input type="text" name="descuentod[]" id="descuentod[]" style="text-align:right;width:120px"value="'.number_format($reg->descuento,2,',','.').'"  ></td>
			'.$td.'
			<td><input type="text" name="subtotald[]" id="subtotald[]" style="text-align:right;width:120px" value="'.number_format($reg->subtotald,2,',','.').'"></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.(($reg->idpedido)*1).'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
			<input type="hidden" name="iva[]" value="'.number_format($reg->iva,2,',','.').'">
			<input type="hidden" name="ivad[]" value="'.number_format($reg->ivad,2,',','.').'">
			<input type="hidden" name="exentot[]" value="'.number_format($reg->exentot,2,',','.').'">
			<input type="hidden" name="exentotd[]" value="'.number_format($reg->exentotd,2,',','.').'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]"  value="'.number_format($reg->precio,2,',','.').'" >	
			<input type="hidden" name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2).'">
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'.number_format($reg->preciopvp,2,',','.').'">
			<input type="hidden" name="descuento[]" id="descuento[]" value="'.number_format($reg->descuento,2,',','.').'">
			</td>
			</tr>';
			$cont=$cont+1;
		}
	break;

	case 'agregarDetalleventa':
		//recibimos el idtarjeta
		$id							=	$_GET['id'];
		$cont						=	$_GET['cont']*1;
		$rspta					=	$notacredito->agregarDetalleventa($id);
		$imp18_empresa	=	$_SESSION['impuestoart18_empresa'];
		$tasa_dollar		= 0;
		echo '<table id="detalles" class="table table-bordered table-condensed table-hover">
    	<thead style="background-color:#A9D0F5">
			<th width=10>Opciones</th>
			<th>Articulo</th>
			<th>Cantidad Despachada</th>
			<th>Monto</th>
			<th>Cantida Devolución</th>
			<th>Subtotal</th>
		</thead>
		<tbody>';
		while ($reg=$rspta->fetch_object()) {
		/* 	if ($imp18_empresa=='si'){
				$td			=	'<td><input type="text" name="impoart18d[]" id="impoart18d[]" style="text-align:right;width:120px" value="'.number_format($reg->impoart18d,2).'" >
								<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'" ></td>';
				$td1		=	'<td><input type="text" name="precio_ventapvpd[]" id="precio_ventapvpd[]" style="text-align:right;width:120px" value="'.number_format($reg->preciopvpd,2).'"></td>';
			}else{ */
				$td			=	'<input type="hidden" name="impoart18[]" id="impoart18[]" value="'.number_format($reg->impoart18,2).'">
								<input type="hidden" name="impoart18d[]" id="impoart18d[]" value="'.number_format($reg->impoart18d,2).'">';
				$td1		=	'<input type="hidden" name="precio_ventapvpd[]" id="precio_ventapvpd[]" value="'.number_format($reg->preciopvpd,2).'">';
		/* 	} */
      echo '<tr class="filas" bgcolor="#F0F984" id="fila'.$cont.'">
			<td><button type="button" class="btn btn-danger" onclick="eliminarDetalleClave('.$cont.')">X</button></td>
			<td><input type="hidden" name="idarticulo[]" value="'.$reg->idarticulo.'">'.$reg->articulo.'</td>
			<td><input type="text" name="cantidad1[]" id="cantidad1[]" style="text-align:right;width:80px;background-color:#CECDCD" readonly value="'.number_format($reg->cantidad,0,',','.').'" ></td>
			<td><input type="text" name="precio_ventad[]" id="precio_ventad[]" style="text-align:right;width:120px;background-color:#CECDCD" readonly value="'.number_format($reg->preciod,2,',','.').'" ></td>
			'.$td1.$td.'
			<td><input type="text" name="cantidad[]" id="cantidad[]" style="text-align:right;width:80px"  value="'.number_format($reg->cantidad,0,',','.').'" ></td>
			<td><input type="text" name="subtotald[]" id="subtotald[]" style="text-align:right;width:120px" value="'.number_format($reg->subtotald,2,',','.').'"></td>
			<td><button type="button" onclick="modificarSubtotales()" class="btn btn-info"><i class="fa fa-refresh"></i></button>
			<input type="hidden" name="nrolote[]" value="'.$reg->numerolote.'">
			<input type="hidden" name="idpedidosolo[]" id="idpedidosolo[]" value="'.(($reg->idventa)*1).'">
			<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
			<input type="hidden" name="iva[]" value="'.number_format($reg->iva,2,',','.').'">
			<input type="hidden" name="ivad[]" value="'.number_format($reg->ivad,2,',','.').'">
			<input type="hidden" name="exentot[]" value="'.number_format($reg->exentot,2,',','.').'">
			<input type="hidden" name="exentotd[]" value="'.number_format($reg->exentotd,2,',','.').'">
			<input type="hidden" name="precio_venta[]" id="precio_venta[]"  value="'.number_format($reg->precio,2,',','.').'" >	
			<input type="hidden" name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2).'">
			<input type="hidden" name="precio_ventapvp[]" id="precio_ventapvp[]" value="'.number_format($reg->preciopvp,2,',','.').'">
			<input type="hidden" name="descuento[]" id="descuento[]" value="'.number_format($reg->descuento,2,',','.').'">
			<input type="hidden" name="porcentaje[]" id="porcentaje[]"'.number_format($reg->porcentaje,0,',','.').'" >
			<input type="hidden" name="descuentod[]" id="descuentod[]"'.number_format($reg->descuento,2,',','.').'"  >
			</td>
			</tr>';
			$cont=$cont+1;
			$tasa_dollar=$reg->tasa_dollar;
		}
		echo '</tbody>
		<tfoot>
			<tr>
					<th></th>
					<th></th>
					<th></th>
					<th></th>
					<th>TOTAL</th>
					<!-- <th align="right"><h4  align="right" id="totald"></h4></th> -->
					<th align="right"><h4 align="right" id="totald"></h4>
						<input type="hidden" name="total_venta1" id="total_venta1" disabled>
						<input type="hidden" name="total_venta" id="total_venta">
						<input type="hidden" name="total_ventad" id="total_ventad">
						<input type="hidden" name="tasa_dollard" id="tasa_dollard"  value="'.$tasa_dollar.'">
					</th>
			</tr>
		</tfoot>
		</table>';
	break; 
}
 ?>